#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long L,R;
    double p,q,r;
    cin>>p>>q>>r>>L>>R;
    long long br;
    br=0;
    if(p!=1 && q!=1 && r!=1){
        for(long long i=L;i<=R;i++){
        if(i>=(ceil(i/p))+(ceil(i/q))+(ceil(i/r)))
            br++;
        }
    }
    else{br=0;}

    cout<<br;
}